##### Project:
::[PROJECTNAME](Home)

##### Internal Release Number:
::X.Y.Z

##### Related Documents:
- [Project proposal](Proposal) &gt; [Target audience and benefits](Target-and-Benefits)
- [SRS](SRS) &gt; [Use case suite](Use-Case-Suite)
- ::LINKS TO RELEVANT STANDARDS
- ::LINKS TO OTHER DOCUMENTS
---

### Demo Planning
*TODO: Think through your goals for this demo.*

#### Who is the target audience for this demo?
- ::Investors and potential investors
- ::Potential customers
- ::Management, other developers, or partners
- ::End users as part of training

#### What is your main goal for this demo?
- ::To convince the audience to make a decision and take action. E.g., a
  sales call.
- ::To inform the audience about the product and prompt
  further discussions. E.g., showing another team where their product
  would have to integrate with yours.
- ::To provide evidence of progress. E.g., showing your boss that you
  are done with the UI.

#### What main points will you use to achieve your goal?
- ::This product automates much of the user's task, thus increasing
  productivity and cutting costs.
- ::This product is very easy to use, which will encourage
  rapid adoption.
- ::This product supports use cases that are key to the customer's
  overall business process or that enable new
  business opportunities.
- ::We have built only 4 of 10 screens, but the remaining screens
  are much easier to build.
- ::We have build 7 out of 10 features, and it turns out that one of
  the remaining features cannot possibly work like the others.

#### How much time is available to present the demo?
- ::10 minutes, no questions
- ::10 minutes, plus questions
- ::30 minutes, including questions

#### What equipment and setup is needed to give the demo?
- ::One person. Any computer with a web browser.
- ::One person. Any computer where we can install from CD or
  the Internet.
- ::Two people. Two high-powered laptops with specific software and data
  pre-installed, a wireless networking base station, and a hand-held
  with a wireless networking card.

### Demo Script
*TODO: Outline the steps of the demo. Plan out what you will do and say.
Practice three times to make sure that all system features actually work
as needed, and that there is enough time.*

*TIP: Imagine that you are in the audience. Do you understand what is
being shown at each step? Is the demo too fast? Too slow? Too long? Are
you interested? What are your questions or concerns? Do you strongly
disagree with any points?*

#### ::Beginning
- ::SET EXPECTATIONS
- ::SET THE STAGE
- ::KEY POINT
  - ::DEMO STEP
  - ::DEMO STEP

#### ::Middle
- ::KEY POINT
  - ::DEMO STEP
  - ::DEMO STEP
- ::KEY POINT
  - ::DEMO STEP
  - ::DEMO STEP
- ::KEY POINT (if there is time)
 - ::DEMO STEP
 - ::DEMO STEP

#### ::Ending
- ::FINAL POINT
  - ::DEMO STEP
  - ::DEMO STEP
- ::CONCLUSION OR SUMMARY
- ::CALL-TO-ACTION OR NEXT-STEPS

### Anticipated Questions

*TODO: Write down a few common questions that you expect to be asked, and
good answers.*

*TIP: You can leave some less critical points out of the demo and only
use them if someone asks a question.*

#### ::How does this compare to OTHER-PRODUCT?
::ANSWER

#### ::What happens if you do X or Y?
::It would do Z.

#### ::When will your product be ready?
- ::We have announced a release date of July 17th.
- ::We are planning a release this Winter, but no specific date has
  been set.
- ::We have not announced a release date yet.

### Demo Checklist
*TODO: Use the following questions to help you evaluate your demo.*

#### Are you making the right points in the right order?
::Yes, we feel that we will accomplish our goals.

::No, we need to better prioritize our points.

#### Can it be presented in the available time?
::Yes, we could even add more or finish early.

::Yes, we have optional sections that can be skipped to save time
if needed.

::No, we need to make the same points more quickly or make
fewer points.

::No, we need to change the available time.

#### Do all system features actually work as needed?
::Yes, everything is finished and working.

::Yes, there are defects, but they will not matter for this demo.

::Don't know, we need to plan alternative demo steps just in case
something fails.

::No, we need to quickly fix the system and/or change the demo to make
our points without exposing defects.

#### Does the demo end effectively?
::Yes, viewers will be satisfied and convinced.

::No, we need to make sure the demo stops at the natural end of a
small but complete story, and that audience members understand our
key points.

#### Does the demo raise questions that it does not answer?
::No, the demo is very complete.

::Yes, but we anticipate those questions and can handle them in the
Q&A period.

::Yes, the goal of this demo is to raise questions and issues that we
will then work to resolve.
