<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8"/>
    <link type="image/png" href="assets/logo.png" rel="icon">
    <title>ReadySet Markdown</title>
</head>
<script src="https://www.w3schools.com/lib/w3data.js"></script>
<body>

<topbar style="display:none;">
    <item><a href="index.html">Overview</a></item>
    <item><a href="plan.html">Project Plan</a></item>
    <item><a href="index-all.html">Workflows</a></item>
    <menu name="Themes"><item><a id="settheme"><b>Current</b></a></item></menu>
    <toc></toc>
</topbar>

<xmp theme="readable" style="display:none;">
<!-- Markdown content here -->

# [Design](design.html)&nbsp;&gt;&nbsp;Scalability
---

##### Project:
::PROJECTNAME

##### Internal Release Number:
::X.Y.Z

##### Related Documents:
- ::LINKS TO RELEVANT STANDARDS
- ::LINKS TO OTHER DOCUMENTS
---

### Overview

*TODO: Briefly describe the approach to scalability. Rank your
scalability goals for this design.*

::2-4 SENTENCES.

### Relevant parameters

| Parameter           | Description                                                                             |
|---------------------|-----------------------------------------------------------------------------------------|
| ::registered\_users | ::Number of registered users in the database.                                           |
| ::concurrent\_users | ::Number of users logged into the system at a given time.                               |
| ::map\_size         | ::Number of game squares in the playing area. E.g., a 10 x 25 map would be 250 squares. |
| ::game\_pieces      | ::Number of game pieces on the playing area at a given time.                            |

### Scalability Mechanisms
&nbsp;

### Performance Goals and Estimates

| Action         | Goal         | Time Formula                  | Description                                                                 |
|----------------|--------------|-------------------------------|-----------------------------------------------------------------------------|
| ::login        | ::1 second   | ::O(Log(registered\_users))   | ::Time that it takes to look up a user by their login name in the database. |
| ::display\_map | ::1/5 second | ::O(map\_size + game\_pieces) | ::Time that it takes to redraw the game map and all game pieces.            |

### System Scalability Checklist

How well do these mechanisms support the achievement of your goals?

::2-4 SENTENCES

#### Have these scalability mechanisms been communicated to the development team and other stakeholders?

::Yes, everyone understands. Feedback is welcome.

::No, this is a risk that is noted in the 
[Risk Management](plan.html#risks) section.

<!-- End Markdown content -->
</xmp>

<div w3-include-html="_words-of-wisdom.html"></div>
<div w3-include-html="_footer.html"></div>

<script>
    w3IncludeHTML();
</script>

<script src="http://strapdownjs.com/v/0.2/strapdown.js"></script>
<!-- Include it AFTER strapdown -->
<script src="assets/strapdown/strapdown-topbar.min.js"></script>
<!-- Include it AFTER EVERYTHING -->
<script src="assets/logo.js"></script>
<script src="assets/themeswitcher.js"></script>

</body>
</html>
