<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8"/>
    <link type="image/png" href="assets/logo.png" rel="icon">
    <title>ReadySet Markdown</title>
</head>
<script src="https://www.w3schools.com/lib/w3data.js"></script>
<body>

<topbar style="display:none;">
    <item><a href="index.html">Overview</a></item>
    <item><a href="plan.html">Project Plan</a></item>
    <item><a href="index-all.html">Workflows</a></item>
    <menu name="Themes"><item><a id="settheme"><b>Current</b></a></item></menu>
    <toc></toc>
</topbar>

<xmp theme="readable" style="display:none;">
<!-- Markdown content here -->

# [SRS](srs.html)&nbsp;&gt;&nbsp;Feature Set
---

##### Project:
::PROJECTNAME

##### Internal Release Number:
::X.Y.Z

##### Related Documents:
- [Project proposal](proposal.html) > [User needs](user-needs.html)
- [SRS](srs.html) > [Use case suite](use-case-suite.html)
- [Feature format](feature-format.html)
- ::LINK TO USE CASE DIAGRAM
- ::LINKS TO RELEVANT STANDARDSuser-needs
- ::LINKS TO OTHER DOCUMENTS
---

**Process impact:** A feature set is simply a table of contents for the
individual feature descriptions. Much like a test suite, organizing the
feature set by priority, functional area, actor, business object, or
release can help identify missing, extra, or poorly motivated features
early.

*TODO: Before writing individual feature descriptions, list all the
features that you think you will need. Organize them so that missing
features appear as blanks on this page, and extra features will appear
to be extras that don't fit anywhere. See the [feature
format](feature-format#checklist) document for more tips on
specifying features and feature sets.*

*TIP: Refer back to the user stories in your [user
needs](user-needs) document and to the [use case
suite](use-case-suite). Use them for ideas and make sure that you
cover all of them.*

### Features by Release and Priority

*TODO: Select subset of features can be implemented for a given release.
When features are listed in priority order, choosing the features to
implement in a release simply becomes a matter of "drawing a line":
features below the line must wait for a later release. Make sure to also
consider estimated effort and risk.*

- ::Release 1.0
  - ::Essential
    - ::[F-00](features.html#f-00_site_configuration) Site configuration
    - ::[F-01](features.html#f-01_user_regisration) User registration
    - ::[F-21](features.html#f-21_feature_name) NAME OF FEATURE
    - ::[F-31](features.html#f-31_feature_name) NAME OF FEATURE
  - ::Expected
    - ::[F-02](features.html#f-02_feature_name) NAME OF FEATURE
    - ::[F-03](features.html#f-03_feature_name) NAME OF FEATURE
    - ::[F-20](features.html#f-20_feature_name) NAME OF FEATURE
- ::Release 1.1
  - ::Expected
    - ::[F-22](features.html#f-22_feature_name) NAME OF FEATURE
    - ::[F-23](features.html#f-23_feature_name) NAME OF FEATURE
    - ::[F-33](features.html#f-33_feature_name) NAME OF FEATURE
  - ::Desired
    - ::[F-10](features.html#f-10_feature_name) NAME OF FEATURE
    - ::[F-11](features.html#f-11_feature_name) NAME OF FEATURE
    - ::[F-12](features.html#f-12_feature_name) NAME OF FEATURE
- ::Later Releases
  - ::Optional
    - ::[F-30](features.html#f-30_feature_name) NAME OF FEATURE
    - ::[F-32](features.html#f-32_feature_name) NAME OF FEATURE

### Features by Release and Risk

- ::Release 1.0
  - ::[F-00](features.html#f-00_site_configurtion) Safe : Site configuration
  - ::[F-01](features.html#f-01_user_registration) Safe : User registration
  - ::[F-21](features.html#f-21_feature_name) Safe : NAME OF FEATURE
  - ::[F-31](features.html#f-31_feature_name) 1-Risk : NAME OF FEATURE
  - ::[F-02](features.html#f-02_feature_name) 1-Risk : NAME OF FEATURE
  - ::[F-03](features.html#f-03_feature_name) 2-Risks : NAME OF FEATURE
  - ::[F-20](features.html#f-20_feature_name) 2-Risks : NAME OF FEATURE
  - ::Total unique risk factors: 4
- ::Release 1.1
  - ::[F-22](features.html#f-22_feature_name) Safe : NAME OF FEATURE
  - ::[F-23](features.html#f-23_feature_name) Safe : NAME OF FEATURE
  - ::[F-33](features.html#f-33_feature_name) Safe : NAME OF FEATURE
  - ::[F-10](features.html#f-10_feature_name) 2-Risks : NAME OF FEATURE
  - ::[F-11](features.html#f-11_feature_name) 2-Risks : NAME OF FEATURE
  - ::[F-12](features.html#f-12_feature_name) 3-Risks : NAME OF FEATURE
  - ::Total unique risk factors: 5
- ::Later Releases
  - ::[F-30](features.html#f-30_feature_name) Safe : NAME OF FEATURE
  - ::[F-32](features.html#f-32_feature_name) 2-Risks : NAME OF FEATURE
  - ::Total unique risk factors: 2

### Features by Functional Area

- ::FUNCTIONAL AREA ONE
  - ::[F-00](features.html#f-00_site_configuration) Site configuration
  - ::[F-01](features.html#f-01_user_registration) User registration
  - ::[F-02](features.html#f-02_feature_name) NAME OF FEATURE
  - ::[F-03](features.html#f-03_feature_name) NAME OF FEATURE
- ::FUNCTIONAL AREA TWO
  - ::[F-10](features.html#f-10_feature_name) NAME OF FEATURE
  - ::[F-11](features.html#f-11_feature_name) NAME OF FEATURE
  - ::[F-12](features.html#f-12_feature_name) NAME OF FEATURE
  - ::[F-13](features.html#f-13_feature_name) NAME OF FEATURE
- ::FUNCTIONAL AREA THREE
  - ::[F-20](features.html#f-20_feature_name) NAME OF FEATURE
  - ::[F-21](features.html#f-21_feature_name) NAME OF FEATURE
  - ::[F-22](features.html#f-22_feature_name) NAME OF FEATURE
  - ::[F-23](features.html#f-23_feature_name) NAME OF FEATURE
- ::FUNCTIONAL AREA FOUR
  - ::N/A: These features are completely automated and internal, users
    never interact with them
- ::FUNCTIONAL AREA FIVE
  - ::TODO: need to write use cases here
- ::Other functional areas
  - ::[F-30](features.html#f-30_feature_name) NAME OF FEATURE
  - ::[F-31](features.html#f-31_feature_name) NAME OF FEATURE
  - ::[F-32](features.html#f-32_feature_name) NAME OF FEATURE
  - ::[F-33](features.html#f-33_feature_name) NAME OF FEATURE


<!-- End Markdown content -->
</xmp>

<div w3-include-html="_words-of-wisdom.html"></div>
<div w3-include-html="_footer.html"></div>

<script>
    w3IncludeHTML();
</script>

<script src="http://strapdownjs.com/v/0.2/strapdown.js"></script>
<!-- Include it AFTER strapdown -->
<script src="assets/strapdown/strapdown-topbar.min.js"></script>
<!-- Include it AFTER EVERYTHING -->
<script src="assets/logo.js"></script>
<script src="assets/themeswitcher.js"></script>

</body>
</html>
