<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8"/>
    <link type="image/png" href="assets/logo.png" rel="icon">
    <title>ReadySet Markdown</title>
</head>
<script src="https://www.w3schools.com/lib/w3data.js"></script>
<body>

<topbar style="display:none;">
    <item><a href="index.html">Overview</a></item>
    <item><a href="plan.html">Project Plan</a></item>
    <item><a href="index-all.html">Workflows</a></item>
    <menu name="Themes"><item><a id="settheme"><b>Current</b></a></item></menu>
    <toc></toc>
</topbar>

<xmp theme="readable" style="display:none;">
<!-- Markdown content here -->

# [SRS](srs.html)&nbsp;&gt;&nbsp;[Feature Set](feature-set.html)&nbsp;&gt;&nbsp;Features
---

##### Project:
::PROJECTNAME

##### Internal Release Number:
::X.Y.Z

##### Related Documents:
- [Project proposal](proposal.html) > [User needs](user-needs.html)
- [SRS](srs) > [Use case suite](use-case-suite.html)
- [Feature format](feature-format.html)
- ::LINKS TO RELEVANT STANDARDS
- ::LINKS TO OTHER DOCUMENTS
---

**Process impact:** This is a set of detailed feature descriptions.

*TODO: For each feature listed in the [feature set](feature-set.html),
give a detailed description of the feature here. Describe each feature
in enough detail that it could be implemented by any member of the
development team (not only someone who already informally knows what to
do).*

*TIP: Start with a short textual description of each feature. Then, add
more formal information as needed to make each description precise and
unambiguous. E.g.,*

- *Precisely define valid inputs, and error handling*
- *Specify data structures with UML or logical schema*
- *Specify UI aspects of features with tiny mock-ups*
- *Specify key decisions with decision trees or tables*
- *Specify key algorithms with pseudo-code or flow charts*
- *Specify state-based behavior with state machines or tables*
- *Specify sequences of events with scenario diagrams*

---
### ::F-00: Site Configuration

Priority: ::Essential

Effort: ::Days

Risk: ::Safe

Functional area(s): ::Administration

Use case(s): ::[UC-00](use-cases#UC-00) [UC-11](use-cases#UC-11)

Description:

::The site administrators will be able to configure:

- ::The site appearance by choosing a predefined CSS file
- ::Whether the site makes new clans public or private by default
- ::The email address to be used to send critical error reports

Notes and Questions:
- ::NOTE
- ::QUESTION

---
### ::F-01: User registration
Priority: **::Essential**

Effort: ::Days

Risk: ::Safe

Functional area(s): ::Administration

Use case(s): ::[UC-01](use-cases#UC-01)

Description:
:: Visitors can come to the site and register themselves. They must provide the following information:

- ::username
- ::email address (twice to catch typos)
- ::real name

Precise Details:

- ::username must be unique (not equal to any other existing user name)
- ::username must be of the form ~~~[a-zA-Z0-9]{2,16}~~~ and is not case sensitive
- ::email address must be of the form ~~~[-a-zA-Z0-9_.]{2,16}@[-a-zA-Z0-9_.]{6,64}~~~
- ::both entries of the email address must match
- ::email address will be verified by sending the user's initial password there
- ::real name must not be empty
- ::leading and trailing spaces are stripped from all fields

Notes and Questions:

- ::NOTE
- ::QUESTION

---
### ::F-02: FEATURE NAME

Priority: ::Essential | Expected | Desired | Optional

Effort: ::Months | Weeks | Days | Hours

Risk: ::Dangerous | 3-Risks | 2-Risks | 1-Risk | Safe

Functional area(s): ::WORD, WORD, WORD

Use case(s): ::[UC-01](use-cases#UC-01)

Description:
::	1-4 PARAGRAPHS. USE BULLETS OR TABLES TO ORGANIZE INFORMATION. LINK TO WORKSHEETS OR ADDITIONAL INFORMATION.

Precise Details:

- ::LOGICAL CONSTRAINT
- ::LOGICAL CONSTRAINT

Notes and Questions:

- ::NOTE
- ::QUESTION

---
### ::F-03: FEATURE NAME

Priority: ::Essential | Expected | Desired | Optional

Effort: ::Months | Weeks | Days | Hours

Risk: ::Dangerous | 3-Risks | 2-Risks | 1-Risk | Safe

Functional area(s): ::WORD, WORD, WORD

Use case(s): ::[UC-01](use-cases#UC-01)

Description:

::1-4 PARAGRAPHS. USE BULLETS OR TABLES TO ORGANIZE INFORMATION. LINK TO WORKSHEETS OR ADDITIONAL INFORMATION.

Precise Details:

- ::LOGICAL CONSTRAINT
- ::LOGICAL CONSTRAINT

Notes and Questions:

- ::NOTE
- ::QUESTION

---
### ::F-10: FEATURE NAME

Priority: ::Essential | Expected | Desired | Optional

Effort: ::Months | Weeks | Days | Hours

Risk: ::Dangerous | 3-Risks | 2-Risks | 1-Risk | Safe

Functional area(s): ::WORD, WORD, WORD

Use case(s): ::[UC-01](use-cases#UC-01)

Description:

::1-4 PARAGRAPHS. USE BULLETS OR TABLES TO ORGANIZE INFORMATION. LINK TO WORKSHEETS OR ADDITIONAL INFORMATION.

Precise Details:

- ::LOGICAL CONSTRAINT
- ::LOGICAL CONSTRAINT

Notes and Questions:

- ::NOTE
- ::QUESTION


---
### ::F-11: FEATURE NAME

Priority: ::Essential | Expected | Desired | Optional

Effort: ::Months | Weeks | Days | Hours

Risk: ::Dangerous | 3-Risks | 2-Risks | 1-Risk | Safe

Functional area(s): ::WORD, WORD, WORD

Use case(s): ::[UC-01](use-cases#UC-01)

Description:

::1-4 PARAGRAPHS. USE BULLETS OR TABLES TO ORGANIZE INFORMATION. LINK TO WORKSHEETS OR ADDITIONAL INFORMATION.

Precise Details:

- ::LOGICAL CONSTRAINT
- ::LOGICAL CONSTRAINT

Notes and Questions:

- ::NOTE
- ::QUESTION


---
### ::F-12: FEATURE NAME

Priority: ::Essential | Expected | Desired | Optional

Effort: ::Months | Weeks | Days | Hours

Risk: ::Dangerous | 3-Risks | 2-Risks | 1-Risk | Safe

Functional area(s): ::WORD, WORD, WORD

Use case(s): ::[UC-01](use-cases#UC-01)

Description:

::1-4 PARAGRAPHS. USE BULLETS OR TABLES TO ORGANIZE INFORMATION. LINK TO WORKSHEETS OR ADDITIONAL INFORMATION.

Precise Details:

- ::LOGICAL CONSTRAINT
- ::LOGICAL CONSTRAINT

Notes and Questions:

- ::NOTE
- ::QUESTION

---
### ::F-13: FEATURE NAME

Priority: ::Essential | Expected | Desired | Optional

Effort: ::Months | Weeks | Days | Hours

Risk: ::Dangerous | 3-Risks | 2-Risks | 1-Risk | Safe

Functional area(s): ::WORD, WORD, WORD

Use case(s): ::[UC-01](use-cases#UC-01)

Description:

::1-4 PARAGRAPHS. USE BULLETS OR TABLES TO ORGANIZE INFORMATION. LINK TO WORKSHEETS OR ADDITIONAL INFORMATION.

Precise Details:

- ::LOGICAL CONSTRAINT
- ::LOGICAL CONSTRAINT

Notes and Questions:

- ::NOTE
- ::QUESTION


---
### ::F-20: FEATURE NAME

Priority: ::Essential | Expected | Desired | Optional

Effort: ::Months | Weeks | Days | Hours

Risk: ::Dangerous | 3-Risks | 2-Risks | 1-Risk | Safe

Functional area(s): ::WORD, WORD, WORD

Use case(s): ::[UC-01](use-cases#UC-01)

Description:

::1-4 PARAGRAPHS. USE BULLETS OR TABLES TO ORGANIZE INFORMATION. LINK TO WORKSHEETS OR ADDITIONAL INFORMATION.

Precise Details:

- ::LOGICAL CONSTRAINT
- ::LOGICAL CONSTRAINT

Notes and Questions:

- ::NOTE
- ::QUESTION


---
### ::F-21: FEATURE NAME

Priority: ::Essential | Expected | Desired | Optional

Effort: ::Months | Weeks | Days | Hours

Risk: ::Dangerous | 3-Risks | 2-Risks | 1-Risk | Safe

Functional area(s): ::WORD, WORD, WORD

Use case(s): ::[UC-01](use-cases#UC-01)

Description:

::1-4 PARAGRAPHS. USE BULLETS OR TABLES TO ORGANIZE INFORMATION. LINK TO WORKSHEETS OR ADDITIONAL INFORMATION.

Precise Details:

- ::LOGICAL CONSTRAINT
- ::LOGICAL CONSTRAINT

Notes and Questions:

- ::NOTE
- ::QUESTION


---
### ::F-22: FEATURE NAME

Priority: ::Essential | Expected | Desired | Optional

Effort: ::Months | Weeks | Days | Hours

Risk: ::Dangerous | 3-Risks | 2-Risks | 1-Risk | Safe

Functional area(s): ::WORD, WORD, WORD

Use case(s): ::[UC-01](use-cases#UC-01)

Description:

::1-4 PARAGRAPHS. USE BULLETS OR TABLES TO ORGANIZE INFORMATION. LINK TO WORKSHEETS OR ADDITIONAL INFORMATION.

Precise Details:

- ::LOGICAL CONSTRAINT
- ::LOGICAL CONSTRAINT

Notes and Questions:

- ::NOTE
- ::QUESTION


---
### ::F-23: FEATURE NAME

Priority: ::Essential | Expected | Desired | Optional

Effort: ::Months | Weeks | Days | Hours

Risk: ::Dangerous | 3-Risks | 2-Risks | 1-Risk | Safe

Functional area(s): ::WORD, WORD, WORD

Use case(s): ::[UC-01](use-cases#UC-01)

Description:

::1-4 PARAGRAPHS. USE BULLETS OR TABLES TO ORGANIZE INFORMATION. LINK TO WORKSHEETS OR ADDITIONAL INFORMATION.

Precise Details:

- ::LOGICAL CONSTRAINT
- ::LOGICAL CONSTRAINT

Notes and Questions:

- ::NOTE
- ::QUESTION

---
### ::F-30: FEATURE NAME

Priority: ::Essential | Expected | Desired | Optional

Effort: ::Months | Weeks | Days | Hours

Risk: ::Dangerous | 3-Risks | 2-Risks | 1-Risk | Safe

Functional area(s): ::WORD, WORD, WORD

Use case(s): ::[UC-01](use-cases#UC-01)

Description:

::1-4 PARAGRAPHS. USE BULLETS OR TABLES TO ORGANIZE INFORMATION. LINK TO WORKSHEETS OR ADDITIONAL INFORMATION.

Precise Details:

- ::LOGICAL CONSTRAINT
- ::LOGICAL CONSTRAINT

Notes and Questions:

- ::NOTE
- ::QUESTION


---
### ::F-31: FEATURE NAME

Priority: ::Essential | Expected | Desired | Optional

Effort: ::Months | Weeks | Days | Hours

Risk: ::Dangerous | 3-Risks | 2-Risks | 1-Risk | Safe

Functional area(s): ::WORD, WORD, WORD

Use case(s): ::[UC-01](use-cases#UC-01)

Description:

::1-4 PARAGRAPHS. USE BULLETS OR TABLES TO ORGANIZE INFORMATION. LINK TO WORKSHEETS OR ADDITIONAL INFORMATION.

Precise Details:

- ::LOGICAL CONSTRAINT
- ::LOGICAL CONSTRAINT

Notes and Questions:

- ::NOTE
- ::QUESTION


---
### ::F-32: FEATURE NAME

Priority: ::Essential | Expected | Desired | Optional

Effort: ::Months | Weeks | Days | Hours

Risk: ::Dangerous | 3-Risks | 2-Risks | 1-Risk | Safe

Functional area(s): ::WORD, WORD, WORD

Use case(s): ::[UC-01](use-cases#UC-01)

Description:

::1-4 PARAGRAPHS. USE BULLETS OR TABLES TO ORGANIZE INFORMATION. LINK TO WORKSHEETS OR ADDITIONAL INFORMATION.

Precise Details:

- ::LOGICAL CONSTRAINT
- ::LOGICAL CONSTRAINT

Notes and Questions:

- ::NOTE
- ::QUESTION


---
### ::F-33: FEATURE NAME

Priority: ::Essential | Expected | Desired | Optional

Effort: ::Months | Weeks | Days | Hours

Risk: ::Dangerous | 3-Risks | 2-Risks | 1-Risk | Safe

Functional area(s): ::WORD, WORD, WORD

Use case(s): ::[UC-01](use-cases#UC-01)

Description:

::1-4 PARAGRAPHS. USE BULLETS OR TABLES TO ORGANIZE INFORMATION. LINK TO WORKSHEETS OR ADDITIONAL INFORMATION.

Precise Details:

- ::LOGICAL CONSTRAINT
- ::LOGICAL CONSTRAINT

Notes and Questions:

- ::NOTE
- ::QUESTION


<!-- End Markdown content -->
</xmp>

<div w3-include-html="_words-of-wisdom.html"></div>
<div w3-include-html="_footer.html"></div>

<script>
    w3IncludeHTML();
</script>

<script src="http://strapdownjs.com/v/0.2/strapdown.js"></script>
<!-- Include it AFTER strapdown -->
<script src="assets/strapdown/strapdown-topbar.min.js"></script>
<!-- Include it AFTER EVERYTHING -->
<script src="assets/logo.js"></script>
<script src="assets/themeswitcher.js"></script>

</body>
</html>
