<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8"/>
    <link type="image/png" href="assets/logo.png" rel="icon">
    <title>ReadySet Markdown</title>
</head>
<script src="https://www.w3schools.com/lib/w3data.js"></script>
<body>

<topbar style="display:none;">
    <item><a href="index.html">Overview</a></item>
    <item><a href="plan.html">Project Plan</a></item>
    <item><a href="index-all.html">Workflows</a></item>
    <menu name="Themes"><item><a id="settheme"><b>Current</b></a></item></menu>
    <toc></toc>
</topbar>

<xmp theme="readable" style="display:none;">
<!-- Markdown content here -->

# [Proposal](proposal.html)&nbsp;&gt;&nbsp;Target Audience and Benefits
---

##### Project:
::[PROJECTNAME](index)

##### Internal Release Number:
::X.Y.Z

##### Related Documents:
- [Project proposal](proposal.html) > [User needs](user-needs.html)
- [Glossary](glossary.html)
---

**Process impact:** This document helps identify potential customers and
their defining aspects. That helps to suggest and give weight to
requirements. The list of benefits gives the sales team information on
how to sell the product, and highlights important use cases and test
cases.

### Target Audience

*TODO: Fill in the information above and below. Provided answers are only
examples. Delete them and answer in your own words.*

#### What market segment is this product in?

::Console video games. Specifically, first-person shooters.

::Anti-virus software for cellular phones.

::Open source development tools for SQL database design.

#### What is the target market for this product? Include specific defining characteristics.

::Experienced console game players age 13-35 who enjoy first-person
shooter games with detailed character animation models and
cinematic segments.

::Cellular phone users who frequently download ring-tones, video
games, and other content to high-end phones and who are concerned
about the potential for viruses.

#### What is the size of the total available market? Cite references for facts.

::10,000 users \[[magazine article](#)\].

::$10M, growing annually at 4% \[[industry analyst](#)\].

#### What are some other customer options or leading products that address the same needs?

- ::[Competitor 1](#)
- ::[Competitor 2](#)
- ::[Do-it-yourself solutions](#)

#### Are there any known customers for this product?

- ::[MegaCorp, corporate I.T. department](#)
- ::[Worldwide Global Corporation](#)
- ::Our own in-house application software developers and server
  operations team
- ::Our own marketing, sales, and customer support departments

### Benefits to Customers

*TODO: List high-level benefits that this product will provide. For each,
identify the type of customer or user that will benefit. Each benefit
should be in real-world terms, not involving just this product itself.
You may want to highlight benefits that are not offered by competing
products. Benefits to the development organization should be listed in
[Risks and Rewards](plan.html#risk_management).*

*TIP: If you can rank benefits by value, use numbered lists (the HTML
&lt;ol&gt; tag), otherwise use bullet lists (the HTML &lt;ul&gt; tag).*

- ::Increases play-value
  -  ::Many players enjoy games more when they play as a team.
  -  ::Clans can greatly extend the time that a player plays one game,
     thus reducing the expense of buying new games.
- ::Improves customer population
  1. ::Clan players often encourage their friends to play the same
     game, which gives game vendors more revenue.
  2. ::Clans help to organize the customer population and create
     channels of communication so that vendor information (e.g.,
     about future releases) spreads more quickly with less
     advertising expense and delay.
  3. ::Clans attract the more experienced players who can give better
     feedback to game vendors.
- ::Reduces current costs
  -  ::Reduced staffing costs
  -  ::Reduced training costs
  -  ::Reduced maintenance costs
  -  ::Reduced infrastructure costs
  -  ::Makes current processes more efficient
  -  ::Avoids penalty clauses of current contracts
- ::Opens new business opportunities
  -  ::Opens new sales opportunities
  -  ::Improves sales success rate or size
  -  ::Opens partnership opportunities
  -  ::Triggers bonus clauses current contracts
- ::Satisfies stakeholders
  -  ::Satisfies shareholders
  -  ::Satisfies partners
  -  ::Satisfies management or executives
  -  ::Satisfies government regulation or corporate policy
  -  ::Improves morale
- ::Helps take advantage of changing marketplace
  -  ::Reduced inventory or need for advance planning
  -  ::Speeds time-to-market
  -  ::Optimizes supply chain
  -  ::Reduces fixed costs
- ::Type of benefit
  1. ::Most valuable benefit
  2. ::Benefit
  3. ::Benefit
- ::Type of benefit
  -  ::Benefit
  -  ::Benefit
  -  ::Benefit

### Potential Downside

*TODO: Could anyone be harmed or put at a disadvantage because of your
system? List as above. Note, these are not risks to the success of your
implementation, assume that you build the system as specified on time.*

- ::Privacy
  -  ::When players opt into clans, they also opt into receiving
     marketing information from game vendors. Usually this is a good
     thing if the players are interested, but it can also
     be annoying.
  -  ::Cheaters will be publicly named as cheaters and blocked from
     game servers, thus they lose the ability to play/cheat.
- ::Type of downside
  1. ::Worst downside
  2. ::Downside
  3. ::Downside

<!-- End Markdown content -->
</xmp>

<div w3-include-html="_words-of-wisdom.html"></div>
<div w3-include-html="_footer.html"></div>

<script>
    w3IncludeHTML();
</script>

<script src="http://strapdownjs.com/v/0.2/strapdown.js"></script>
<!-- Include it AFTER strapdown -->
<script src="assets/strapdown/strapdown-topbar.min.js"></script>
<!-- Include it AFTER EVERYTHING -->
<script src="assets/logo.js"></script>
<script src="assets/themeswitcher.js"></script>

</body>
</html>


