<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8"/>
    <link type="image/png" href="assets/logo.png" rel="icon">
    <title>ReadySet Markdown</title>
</head>
<script src="https://www.w3schools.com/lib/w3data.js"></script>
<body>

<topbar style="display:none;">
    <item><a href="index.html">Overview</a></item>
    <item><a href="plan.html">Project Plan</a></item>
    <item><a href="index-all.html">Workflows</a></item>
    <menu name="Themes"><item><a id="settheme"><b>Current</b></a></item></menu>
    <toc></toc>
</topbar>

<xmp theme="readable" style="display:none;">
<!-- Markdown content here -->

# [QA Plan](qa-plan)&nbsp;&gt;&nbsp;[Test Suite](test-suite)&nbsp;&gt;&nbsp;Test&nbsp;Cases
---

##### Project:
::[PROJECTNAME](index)

##### Internal Release Number:
::X.Y.Z

##### Related Documents:
[System test case format](test-case-format)
::LINKS TO RELEVANT STANDARDS
::LINKS TO OTHER DOCUMENTS

---
### login-1: Normal User Login
&nbsp;
#### Purpose:
::Test that users can log in with the proper username or 
email address and their password.

#### Prereq:
::User is not already logged in.

::User testuser exists, and account is in good standing.

#### Test Data:
::usernameOrEmail = {testuser, bogususer, testuser@nospam.com, 
test@user@nospam.com, empty}

::password = {valid, invalid, empty}

#### Steps:
::Steps to carry out the test. See step formating rules below.

- ::visit LoginPage
- ::enter userID
- ::enter password
- ::click login
- ::see the terms of use page
- ::click agree radio button at page bottom
- ::click submit button
- ::see PersonalPage
- ::verify that welcome message is correct username

#### Notes and Questions:
- ::This assumes that user has not agreed to terms-of-use already.
- ::Does this work without browser cookies?

---
### login-2: Locked-out User Login
&nbsp;
#### Purpose:
::Test that a user who has been locked out by a moderator, cannot 
log in, They should see a message indicating that they were locked 
out.

#### Prereq:
::User is not already logged in.
::User testuser2 exists, and has been locked out


#### Test Data:
::usernameOrEmail = {testuser2, testuser2@nospam.com}
::password = {valid}
   
#### Steps:
::Steps to carry out the test. See step formating rules below.

- ::visit LoginPage
- ::enter usernameOrEmail
- ::enter password
- ::click Login
- ::see LoginPage
- ::verify warning message is the locked-out message

#### Notes and Questions:
 
- ::Does this work without browser cookies?

### unique-test-case-id1: Test Case Title

#### Purpose:
::Short sentence or two about the aspect of the system is 
being tested. If this gets too long, break the test case 
up or put more information into the feature descriptions.

#### Prereq:
::Assumptions that must be met before the test case can be run. 
E.g., &quot;logged in&quot;, &quot;guest login allowed&quot;, 
&quot;user testuser exists&quot;.

#### Test Data:
::List of variables and their possible values used in the test case. 
You can list specific values or describe value ranges. The test case 
should be performed once for each *combination* of values. These 
values are written in set notation, one per line. E.g.:

- loginID = {Valid loginID, invalid loginID, valid email, invalid 
  email, empty}
- password = {valid, invalid, empty}

#### Steps:
::Steps to carry out the test. See step formating rules below.

- ::visit LoginPage
- ::enter userID
- ::enter password
- ::click login
- ::see the terms of use page
- ::click agree radio button at page bottom
- ::click submit button
- ::see PersonalPage
- ::verify that welcome message is correct username

#### Notes and Questions:
- ::NOTE
- ::QUESTION

---
### unique-test-case-id2: Test Case Title
&nbsp;
#### Purpose:
::Short sentence or two about the aspect of the system is 
being tested. If this gets too long, break the test case 
up or put more information into the feature descriptions.

#### Prereq:
::Assumptions that must be met before the test case can be run. 
E.g., &quot;logged in&quot;, &quot;guest login allowed&quot;, 
&quot;user testuser exists&quot;.

#### Test Data:
::List of variables and their possible values used in the test case. 
You can list specific values or describe value ranges. The test case 
should be performed once for each *combination* of values. These 
values are written in set notation, one per line. E.g.:

- ::loginID = {Valid loginID, invalid loginID, valid email, invalid 
  email, empty}
- ::password = {valid, invalid, empty}

#### Steps:
::Steps to carry out the test. See step formating rules below.

- ::visit LoginPage
- ::enter userID
- ::enter password
- ::click login
- ::see the terms of use page
- ::click agree radio button at page bottom
- ::click submit button
- ::see PersonalPage
- ::verify that welcome message is correct username

#### Notes and Questions:
- ::NOTE
- ::QUESTION

### unique-test-case-id3: Test Case Title

#### Purpose:
::Short sentence or two about the aspect of the system is 
being tested. If this gets too long, break the test case 
up or put more information into the feature descriptions.

#### Prereq:
::Assumptions that must be met before the test case can be run. 
E.g., &quot;logged in&quot;, &quot;guest login allowed&quot;, 
&quot;user testuser exists&quot;.

#### Test Data:
::List of variables and their possible values used in the test case. 
You can list specific values or describe value ranges. The test case 
should be performed once for each *combination* of values. These 
values are written in set notation, one per line. E.g.:

- ::loginID = {Valid loginID, invalid loginID, valid email, invalid 
  email, empty}
- ::password = {valid, invalid, empty}

#### Steps:
::Steps to carry out the test. See step formating rules below.

- ::visit LoginPage
- ::enter userID
- ::enter password
- ::click login
- ::see the terms of use page
- ::click agree radio button at page bottom
- ::click submit button
- ::see PersonalPage
- ::verify that welcome message is correct username

#### Notes and Questions:
- ::NOTE
- ::QUESTION

---
### unique-test-case-id4: Test Case Title
&nbsp;
#### Purpose:
::Short sentence or two about the aspect of the system is 
being tested. If this gets too long, break the test case 
up or put more information into the feature descriptions.

#### Prereq:
::Assumptions that must be met before the test case can be run. 
E.g., &quot;logged in&quot;, &quot;guest login allowed&quot;, 
&quot;user testuser exists&quot;.

#### Test Data:
::List of variables and their possible values used in the test case. 
You can list specific values or describe value ranges. The test case 
should be performed once for each *combination* of values. These 
values are written in set notation, one per line. E.g.:

- ::loginID = {Valid loginID, invalid loginID, valid email, invalid 
  email, empty}
- ::password = {valid, invalid, empty}

#### Steps:
::Steps to carry out the test. See step formating rules below.

- ::visit LoginPage
- ::enter userID
- ::enter password
- ::click login
- ::see the terms of use page
- ::click agree radio button at page bottom
- ::click submit button
- ::see PersonalPage
- ::verify that welcome message is correct username

#### Notes and Questions:
- ::NOTE
- ::QUESTION

### unique-test-case-id5: Test Case Title

#### Purpose:
::Short sentence or two about the aspect of the system is 
being tested. If this gets too long, break the test case 
up or put more information into the feature descriptions.

#### Prereq:
::Assumptions that must be met before the test case can be run. 
E.g., &quot;logged in&quot;, &quot;guest login allowed&quot;, 
&quot;user testuser exists&quot;.

#### Test Data:
::List of variables and their possible values used in the test case. 
You can list specific values or describe value ranges. The test case 
should be performed once for each *combination* of values. These 
values are written in set notation, one per line. E.g.:

- ::loginID = {Valid loginID, invalid loginID, valid email, invalid 
  email, empty}
- ::password = {valid, invalid, empty}

#### Steps:
::Steps to carry out the test. See step formating rules below.

- ::visit LoginPage
- ::enter userID
- ::enter password
- ::click login
- ::see the terms of use page
- ::click agree radio button at page bottom
- ::click submit button
- ::see PersonalPage
- ::verify that welcome message is correct username

#### Notes and Questions:
- ::NOTE
- ::QUESTION

---
### unique-test-case-id6: Test Case Title
&nbsp;
#### Purpose:
::Short sentence or two about the aspect of the system is 
being tested. If this gets too long, break the test case 
up or put more information into the feature descriptions.

#### Prereq:
::Assumptions that must be met before the test case can be run. 
E.g., &quot;logged in&quot;, &quot;guest login allowed&quot;, 
&quot;user testuser exists&quot;.

#### Test Data:
::List of variables and their possible values used in the test case. 
You can list specific values or describe value ranges. The test case 
should be performed once for each *combination* of values. These 
values are written in set notation, one per line. E.g.:

- ::loginID = {Valid loginID, invalid loginID, valid email, invalid 
  email, empty}
- ::password = {valid, invalid, empty}

#### Steps:
::Steps to carry out the test. See step formating rules below.

- ::visit LoginPage
- ::enter userID
- ::enter password
- ::click login
- ::see the terms of use page
- ::click agree radio button at page bottom
- ::click submit button
- ::see PersonalPage
- ::verify that welcome message is correct username

#### Notes and Questions:
- ::NOTE
- ::QUESTION

<!-- End Markdown content -->
</xmp>

<div w3-include-html="_words-of-wisdom.html"></div>
<div w3-include-html="_footer.html"></div>

<script>
    w3IncludeHTML();
</script>

<script src="http://strapdownjs.com/v/0.2/strapdown.js"></script>
<!-- Include it AFTER strapdown -->
<script src="assets/strapdown/strapdown-topbar.min.js"></script>
<!-- Include it AFTER EVERYTHING -->
<script src="assets/logo.js"></script>
<script src="assets/themeswitcher.js"></script>

</body>
</html>
