<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8"/>
    <link type="image/png" href="assets/logo.png" rel="icon">
    <title>ReadySet Markdown</title>
</head>
<script src="https://www.w3schools.com/lib/w3data.js"></script>
<body>

<topbar style="display:none;">
    <item><a href="index.html">Overview</a></item>
    <item><a href="plan.html">Project Plan</a></item>
    <item><a href="index-all.html">Workflows</a></item>
    <menu name="Themes"><item><a id="settheme"><b>Current</b></a></item></menu>
    <toc></toc>
</topbar>

<xmp theme="readable" style="display:none;">
<!-- Markdown content here -->

# [QA Plan](qa-plan.html)&nbsp;&gt;&nbsp;Test Run Suite

---
##### Project:
::[PROJECTNAME](index.html)

##### Internal Release Number:
::X.Y.Z

##### Related Documents:
- [Test suite](test-suite.html)
- ::LINKS TO RELEVANT STANDARDS
- ::LINKS TO OTHER DOCUMENTS
---

**Process impact:** This is a test run log for manual system testing. A
test run is logged whenever the manual system test suite is carried out.
The log overview helps visualize the set of system configurations that
have been tested and those that have not. Clearly understanding the
degree to which the system has been tested helps to assess progress,
assess risk, and focus ongoing testing efforts.

*TODO:
- Review the [target audience](target-and-benefits.html),
  [environmental requirements](srs.html#environmental), and [possible
  deployments](design-architecture.html#deployment) to understand the
  set of possible system configurations that could be tested.
- Use a table or list to describe that set of possible configurations.
  Mark each possibility with Pending, N/A, or Waived.
- Track each test run with an issue in the issue tracker or an item in
  the [test-runs](test-runs.html) document.
- Periodically review the set of possible system configurations to
  identify any additional needed test runs.*

### ::Test Runs by Operating System and Browser

| OS \ Browser   | IE                                       | Firefox                          | Safari                           | Chrome    | other   |
|----------------|------------------------------------------|----------------------------------|----------------------------------|-----------|---------|
| ::Windows      | ::[Passed](test-runs.html#TR-01)         | ::[Passed](test-runs.html#TR-02) | ::N/A                            | ::Pending | ::N/A   |
| ::Linux        | ::N/A                                    | ::[Passed](test-runs.html#TR-03) | ::Pending                        | ::Pending | ::N/A   |
| ::Mac          | ::[FAILED](test-runs.html#TR-10)         | ::Pending                        | ::[Passed](test-runs.html#TR-11) | ::Pending | ::N/A   |
| ::iOS          | ::N/A                                    | ::N/A                            | ::Pending                        | ::N/A     | ::N/A   |
| ::Android      | ::N/A                                    | ::N/A                            | ::Pending                        | ::Pending | ::N/A   |

### ::Test Runs by Locale

*TIP: Use this outline to guide the testing of internationalized
applications. Each locale indicates a native language as well as formats
for presenting money, dates, times, etc.*

- ::English US: [Passed](test-runs.html#TR-00)
- ::English UK: [Passed](test-runs.html#TR-01)
- ::English CA: [Passed](test-runs.html#TR-02)
- ::Japanese: [Passed](test-runs.html#TR-10)
- ::Spanish: Pending
- ::Russian: Pending
- ::German: Pending
- ::French: Pending
- ::French CA: Waived, French + English Canadian is good enough

### ::Test Runs by Hardware Configuration

*TIP: Use this outline for products that depend on specific hardware.
E.g., a disk crash recovery product would depend on the type of drive, a
game might depend on processor speed and graphics cards, other products
might depend on memory or other hardware specs.*

- ::PCs
  - ::IDE drive: Pending
  - ::EIDE drive: Waived because we only use IDE features
  - ::ATA drive: [Passed](test-runs.html#TR-00)
  - ::SCSI drive: [Passed](test-runs.html#TR-01)
  - ::SATA drive: [Passed](test-runs.html#TR-02)
  - ::USB drive: [FAILED](test-runs.html#TR-03)
- ::Macs
  - ::EIDE drive: [Passed](test-runs.html#TR-10)
  - ::SCSI drive: [Passed](test-runs.html#TR-11)
  - ::Firewire drive: Pending
  - ::USB drive: [FAILED](test-runs.html#TR-12)


<!-- End Markdown content -->
</xmp>

<div w3-include-html="_words-of-wisdom.html"></div>
<div w3-include-html="_footer.html"></div>

<script>
    w3IncludeHTML();
</script>

<script src="http://strapdownjs.com/v/0.2/strapdown.js"></script>
<!-- Include it AFTER strapdown -->
<script src="assets/strapdown/strapdown-topbar.min.js"></script>
<!-- Include it AFTER EVERYTHING -->
<script src="assets/logo.js"></script>
<script src="assets/themeswitcher.js"></script>

</body>
</html>

